/* =========================
   Reset
========================= */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body.bg-blanco {
    background: #ffffff !important;
}


/* =========================
   Fuente personalizada
========================= */
@font-face {
  font-family: 'Sweet Affogato';
  src: url('../fonts/SweetAffogato.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

/* =========================
   Estilos globales
========================= */
body {
  font-family: "Roboto", system-ui, sans-serif;
  color: #fff;
  height: 100%;
  position: relative; /* necesario para el pseudo */
  background: #ffffff;
  background-image: url(../img/fondo.jpg);
}

/* Fondo espejado */
body::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1; /* lo manda detrás del contenido */
}

@media (max-width: 400px) {
  body {
    background-position: -250px center !important;
  }
}

a {
  text-decoration: none;
}

/* =========================
   Hero principal
========================= */
.hero {
  height: 100%; 
  width: 100%;     
  display: flex;
  align-items: center;
  position: relative;
}

.hero-inner {
  gap: 32px;
  align-items: center;
  padding: 48px;
}

/* =========================
   Animaciones
========================= */
@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.hero-copy > * {
  opacity: 0;
  animation: fadeInUp 1s ease-out forwards;
}

/* Retrasos en animaciones */
h2.title { animation-delay: 0.5s; }
.lead { animation-delay: 0.8s; }
.cta-row { animation-delay: 1.1s; }

/* =========================
   Logo
========================= */

.logo {
  width: clamp(140px, 25vw, 240px);
  height: clamp(35px, 7vw, 60px);
  filter: invert(1) !important;
}


/* =========================
   Títulos y texto
========================= */
h2.title {
  font-family: 'Sweet Affogato', sans-serif;
  font-size: clamp(27px, 3vw, 48px);
  font-weight: 800;
  margin-bottom: 14px;
  margin-top: 40px;
  color: white;
}

h2 .primera-palabra {
  color: #2196f3;
  margin-right: 9px;
}

p.lead {
  font-size: clamp(13px, 15px, 18px);
  opacity: 0.85;
  max-width: 56ch;
  line-height: 1.5;
}

@media (max-width: 450px) {
  body {
    overflow: hidden;
  }
  .hero-copy {
    margin-left: -30px;
  }

  .logo {
    width: 140px;
    height: 35px;
  }

  h2.title {
    margin-top: 15px;
  }
}

/* =========================
   Botones (CTA)
========================= */

.cta-row {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
  margin-top: 20px;
}

.btn {
  display: inline-flex;
  align-items: center;
  padding: 12px 15px;
  border-radius: 8px;
  font-weight: 600;
  text-decoration: none;
  transition: 0.2s;
  margin-bottom: 10px;
  font-size: clamp(13px, 1vw, 23px);
}

.btn.primary {
  background: #2196f3;
  color: #fff;
}

.btn.secondary {
  background: transparent;
  border: 1px solid rgba(255, 255, 255, 0.15);
  color: #fff;
}

.btn.secondary i {
  margin-right: 10px;
}

.btn:hover {
  transform: translateY(-3px);
  opacity: 0.9;
}

.icono-google {
  width: 25px;
  height: 25px;
  margin-right: 10px;
}


/* =========================
   ACCESO MARKETPLACE
========================= */

        .login-container {
            background: #fff;
            width: 100%;
            max-width: 380px;
            padding: 30px 25px;
            border-radius: 12px;
            box-shadow: 0 10px 25px rgba(0,0,0,.08);
            text-align: center;
        }

        .logo {
            margin-bottom: 25px;
        }

        .logo img {
            max-width: 140px;
        }

        form {
            display: flex;
            flex-direction: column;
            gap: 15px;
        }

        select,
        input {
            width: 100%;
            padding: 12px;
            border-radius: 8px;
            border: 1px solid #ddd;
            font-size: 14px;
        }

        select:focus,
        input:focus {
            outline: none;
            border-color: #000;
        }

        .forgot {
            text-align: right;
            font-size: 13px;
        }

        .forgot a {
            text-decoration: none;
            color: #555;
        }

        .forgot a:hover {
            text-decoration: underline;
        }

        button {
            margin-top: 10px;
            padding: 12px;
            border-radius: 8px;
            border: none;
            background: #000;
            color: #fff;
            font-size: 15px;
            cursor: pointer;
        }

        button:hover {
            background: #222;
        }


/* =========================
   RESPONSIVE DESIGN
========================= */
@media (min-width: 1500px) {
  body { zoom: 120%; }
}

    @media (min-width: 1600px) {
      body { zoom: 125%; }
    }

    @media (min-width: 1800px) {
      body { zoom: 133%; }
    }

    @media (min-width: 2000px) {
      body { zoom: 150%; }
    }

    @media (min-width: 2200px) {
      body { zoom: 200%; }
    }


